using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RGDWCSServices.WCS
{
    public class stopTask:HouseBase
    {
        /// <summary>
        /// 入参定义
        /// </summary>
        [Serializable]
        public class PARA
        {
            private string _wh_id;
            private string _task_no;

            /// <summary>
            /// 库房编号
            /// </summary>
            public string WH_ID
            {
                get { return this._wh_id; }
                set { this._wh_id = value; }
            }

            /// <summary>
            /// 任务号
            /// </summary>
            public string TASK_NO
            {
                get { return this._task_no; }
                set { this._task_no = value; }
            }
        }

        /// <summary>
        /// 出参定义
        /// </summary>
        [Serializable]
        public class DATA : Base.OutPara
        {

        }

        /// <summary>
        /// 入参实体
        /// </summary>
        private PARA _inPara;

        /// <summary>
        /// 出参实体
        /// </summary>
        private DATA _outPara;

        /// <summary>
        /// 构造函数
        /// </summary>
        public stopTask()
        {
            this._outPara = new DATA();
        }

        /// <summary>
        /// 通知
        /// </summary>
        /// <param name="sXmlIn">入参</param>
        /// <param name="sXmlOut">出参</param>
        /// <returns>执行结果</returns>
        public bool Notify(string sXmlIn, out string sXmlOut)
        {
            bool bResult = true;

            string sResult = string.Empty;

            sXmlOut = string.Empty;

            try
            {
                this._inPara = this.DeSerialize<PARA>(sXmlIn);

                bResult = null != this._inPara;

                if (!bResult)
                {
                    sResult = string.Format("入参错误（格式错误）");

                    return bResult;
                }

                bResult = this.STOPTASK(_inPara.TASK_NO, out sResult);
                //if(!bResult)
                //{
                //    bResult = this.STOPTASK(_inPara.TASK_NO, out sResult);
                //    HiveService.RGDWCSServiceClient ws = new HiveService.RGDWCSServiceClient();
                //    sXmlOut = ws.stopTask(sXmlIn);
                //    this._outPara = this.DeSerialize<DATA>(sXmlOut);
                //    bResult = _outPara.RESULT_FLAG == "1";
                //}
            }
            catch (Exception ex)
            {
                bResult = false;

                sResult = string.Format(ex.Message);
            }
            finally
            {
                if (bResult)
                {
                    this._outPara.RESULT_FLAG = Enum.RESULT_FLAG.Success.ToString("d");
                }
                else
                {
                    this._outPara.RESULT_FLAG = Enum.RESULT_FLAG.Fail.ToString("d");
                }

                this._outPara.ERROR_INFO = sResult;

                sXmlOut = this.Serializer<DATA>(this._outPara);
            }

            return bResult;
        }
    }
}
